% Estimation of the Function of Phase Distortion (FPD)
%
% DESCRIPTION
%
%  Polarity
%   Compared to its usage for estimation of glottal model parameters [1], the
%   computed FPD using this script doesn't use the phase DC. Therefore, the
%   results are NOT sensitive to the polarity of the signal.
%   (this bahavior can be changed setting the params structure properly)
%
% USAGE
%  fpds = gl_compute_fpd(wav, sr, f0s);
%  params = gl_compute_fpd();
%  fpds = gl_compute_fpd(wav, sr, f0s, params);
% 
% INPUT
%  wav    : Waveform [Nx1]
%  sr     : [Hz] Sampling rate of wav [1x1]
%  f0s    : Estimated fundamental frequencies
%           and their corresponding times
%           [Nx2 HzxSeconds]
%  params : Parameters to use
%
% OUTPUT
%  FPDs   : Computed FPD
%           and their corresponding times
%           [nbh+1; f0[Hz]; time]
%  params : Used parameters
%
% REFERENCES
%  [1] G. Degottex, A. Roebel and X. Rodet, "Function of phase-distortion for
%      glottal model estimation, Proc. IEEE International Conference on Acoustics,
%      Speech, and Signal Processing (ICASSP), 2011.
% 
% AUTHOR
%  Gilles Degottex <gilles.degottex@ircam.fr>
%
% COPYRIGHT
%  Copyright (c) 2011 Ircam-CNRS UMR9912-STMS
